Referencepublic
List a public version's files
Path Parameters
ownerHandle*string
Length
length <= 64slug*string
Length
length <= 64name*string
Match
^[a-z0-9]+(?:-[a-z0-9]+)*$Length
1 <= length <= 64version*string
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/public/registries/string/string/skills/string/versions/string/files"{ "items": [ { "path": "string", "sha256": "string", "sizeBytes": 0, "hasContent": true } ]}{ "defined": true, "code": "NOT_FOUND", "status": 404, "message": "The requested resource does not exist.", "data": { "resource": "string" }}{ "defined": true, "code": "VALIDATION", "status": 422, "message": "The input failed domain validation.", "data": { "issues": [ { "path": "string", "message": "string" } ] }}{ "defined": true, "code": "RATE_LIMITED", "status": 429, "message": "Rate limit exceeded; retry later.", "data": { "retryAfterSeconds": -9007199254740991 }}